# eric3.VCS.subversionPackage.SvnDialog

Module implementing a dialog starting a process and showing its output.

### Classes

SvnDialog | Module implementing a dialog starting a process and showing its output.

### Functions

None

## SvnDialog

Module implementing a dialog starting a process and showing its output.

It starts a QProcess and display a dialog that shows the output of the process. The dialog is modal, which causes a synchronized execution of the process.

### Derived from

SvnForm

### Methods

SvnDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the process finished or the user pressed the button.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
keyPressEvent | Protected slot to handle a key press event.
normalExit | Public method to check for a normal process termination.
passwordMode | Private slot to handle the password checkbox toggled.
procExited | Private slot connected to the processExited signal.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
startProcess | Public slot used to start the process.

### SvnDialog (Constructor)

SvnDialog(text, parent = None)

Constructor

text
  text to be shown by the label (string or QString)
parent
  parent widget (QWidget)

### SvnDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### SvnDialog.finish

finish()

Private slot called when the process finished or the user pressed the button.

### SvnDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

### SvnDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

### SvnDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### SvnDialog.normalExit

normalExit()

Public method to check for a normal process termination.

Returns:
  flag indicating normal process termination (boolean)

### SvnDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### SvnDialog.procExited

procExited()

Private slot connected to the processExited signal.

### SvnDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### SvnDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### SvnDialog.startProcess

startProcess(proc)

Public slot used to start the process.

proc
  process object (QProcess)

Up